Subject: [PATCH 0/4] User-relative paths, take two.

From: Andreas Ericsson <[email-masked]>
Date: Tue, 01 Nov 2005 23:44:53 +0100

I've reworked the user-relative paths according to the discussion "[RFC] 
GIT paths" started by Junio. In addition I've added a '--strict-paths' 
option to git-daemon.

I think I got everything right. At least it builds nicely and works as 
expected.

Comments welcome. Upstream inclusion even more so. :)

Btw. I'll have some more patches for git-daemon soon (--server-root and 
--userdir) which will rely on these patches making it in. Should I hold 
off on that for now?

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231